Loading...
Searching...
No Matches
bsoncxx::v_noabi::array Namespace Reference

## Description

Declares entities representing a BSON array.

## Classes

class | element
| A variant view type that accesses values in serialized BSON arrays. More...
class | value
| A read-only BSON array that owns its underlying buffer. More...
class | view
| A read-only, non-owning view of a BSON document. More...

## Typedefs

using | view_or_value = v_noabi::view_or_value<view, value>
| Equivalent to v_noabi::view_or_value<v_noabi::array::view, v_noabi::array::value>.
bool | operator== (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | operator== (v_noabi::types::bson_value::view const &lhs, element const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | operator!= (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | operator!= (v_noabi::types::bson_value::view const &lhs, element const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | operator== (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | operator== (v_noabi::types::bson_value::view const &lhs, element const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | operator!= (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.
bool | operator!= (v_noabi::types::bson_value::view const &lhs, element const &rhs)
| Convenience methods to compare for equality against a bson_value.

## Typedef Documentation

## view_or_value

using bsoncxx::v_noabi::array::view_or_value = v_noabi::view_or_value<view, value>

Equivalent to v_noabi::view_or_value<v_noabi::array::view, v_noabi::array::value>.

## Function Documentation

## operator!=() [1/4]

bool operator!= | ( | element const & | lhs,
|  | v_noabi::types::bson_value::view const & | rhs )

inline

Convenience methods to compare for equality against a bson_value.

Compares equal if this element contains a matching bson_value. Otherwise, compares unequal.

## operator!=() [2/4]

bool operator!= | ( | v_noabi::types::bson_value::view const & | lhs,
|  | element const & | rhs )

inline

Convenience methods to compare for equality against a bson_value.

Compares equal if this element contains a matching bson_value. Otherwise, compares unequal.

## operator==() [1/4]

bool operator== | ( | element const & | lhs,
|  | v_noabi::types::bson_value::view const & | rhs )

inline

Convenience methods to compare for equality against a bson_value.

Compares equal if this element contains a matching bson_value. Otherwise, compares unequal.

## operator==() [2/4]

bool operator== | ( | v_noabi::types::bson_value::view const & | lhs,
|  | element const & | rhs )

inline

Convenience methods to compare for equality against a bson_value.

Compares equal if this element contains a matching bson_value. Otherwise, compares unequal.